# coding: utf-8

module ConClas
  module Exceptions
    class InvalidTokenException < StandardError; end

    class IncorrectCredentialsException < StandardError; end

    class MissingTokenException < StandardError; end

    class InvalidBodyFormatException < StandardError; end

    class InvalidBodyMessageException < StandardError; end

    class InvalidModeException < StandardError; end

    class ApiLimitationException < StandardError; end

    class PaymentRequiredException < StandardError; end

    class BannedAccountException < StandardError; end

    class AccountExceedFreeLimitException < StandardError; end

    class LCoreUnsupportedLanguageException < StandardError; end

    class LCoreInternalException < StandardError; end

    class ContentTimeoutException < StandardError; end
  end
end